

let envpath = $env.PATH 
    | where  ($it | str contains -n '.apple.security') 
    | where  ($it | str contains -n 'Cryptexes')
    | where  ($it | str contains -n 'dotnet')
    | where  ($it | str contains -n -i 'gpg')
    | append ($env.HOME | path join .cargo/bin)
    | append ($env.HOME | path join hero/bin)
    | uniq
    | sort

load-env  {PATH:$envpath} 

# -i means case insensitive
# -n means not

